Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetTablePrivileges

java.lang.Object
org.firebirdsql.jdbc.metadata.GetTablePrivileges

public final class GetTablePrivileges extends Object
Provides the implementation of `DatabaseMetaData.getTablePrivileges(String, String, String)`.

This implementation returns all privileges, not just from the current user. The JDBC specification is not clear on this. Looking at the Schemata (SQL standard book 11) definition of the `TABLE_PRIVILEGES` view, possibly this should be restricted to the current user and user `PUBLIC` (and maybe active roles). This may change in a future version.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetTablePrivileges`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getTablePrivileges(String tableNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getTablePrivileges

public ResultSet getTablePrivileges(String tableNamePattern) throws SQLException

Throws:
  `SQLException`

### create

public static GetTablePrivileges create(DbMetadataMediator mediator)